More visually consistent download links
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

As a follow-up to #25988 and #25999, this small patch series proposes to move the file download link on previews to a more

common place – the contextual area. It also introduces another link wihin the "No preview available" message to make it easier for

users to download a file instead of previewing it.

Before:

 download_links_before.png 

After:

 download_links_after.png 

Related issues:

Related to Redmine - Feature #25357: "Raw view" of a file in repository New

Related to Redmine - Defect #26350: Don't display file download button while ... Closed

Blocked by Redmine - Feature #25999: View repository content by default (inst... Closed

Associated revisions

Revision 16672 - 2017-06-17 11:49 - Jean-Philippe Lang

Move download link to contextual area (#26035).

Patch by Jan Schulz-Hofen.

Revision 16673 - 2017-06-17 11:51 - Jean-Philippe Lang

Add download link to no preview message (#26035).

Patch by Jan Schulz-Hofen.

Revision 16674 - 2017-06-17 11:51 - Jean-Philippe Lang

German translation for download (#26035).

Patch by Jan Schulz-Hofen.

Revision 16679 - 2017-06-19 07:39 - Toshi MARUYAMA

generate i18n keys (#26035)

History

#1 - 2017-05-25 14:43 - Go MAEDA

I think that the improvement is fairly useful but unfortunately the patch cannot be applied to the current trunk (r16559) cleanly. Could you tell me how

can I apply them?

$ patch -p1 < 0001-Move-download-link-to-contextual-area.patch

patching file app/views/layouts/_file.html.erb

Hunk #1 FAILED at 1.

1 out of 1 hunk FAILED -- saving rejects to file app/views/layouts/_file.html.erb.rej

patching file app/views/repositories/_link_to_functions.html.erb

Reversed (or previously applied) patch detected!  Assume -R? [n]

#2 - 2017-05-26 10:24 - Jan from Planio www.plan.io
Go MAEDA wrote:

I think that the improvement is fairly useful but unfortunately the patch cannot be applied to the current trunk (r16559) cleanly. Could you tell me

how can I apply them?

 I am sorry, I failed to mention that #25999 and therefore #25988 are required for this patch to apply cleanly.

#3 - 2017-05-26 10:25 - Jan from Planio www.plan.io

- Blocked by Feature #25999: View repository content by default (instead of the history) added

#4 - 2017-05-26 12:57 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.0

Jan from Planio www.plan.io wrote:

I am sorry, I failed to mention that #25999 and therefore #25988 are required for this patch to apply cleanly.

 Thanks, the patch works fine now.

This small patch makes #25988 and #25999 even better and I think it should be merged along with those issues. Setting target version to 3.4.0.

#5 - 2017-06-01 23:40 - Mischa The Evil

- Related to Feature #25357: "Raw view" of a file in repository added

#6 - 2017-06-02 00:13 - Mischa The Evil

My two cents based on the screenshots:

Jan from Planio www.plan.io wrote:

[...] this small patch series proposes to move the file download link on previews to a more common place – the contextual area.

 I'm not sure about this change. The current contextual area does not seem to be the best place for such a link (and an eventual 'raw' link as proposed

in #25357). I kinda like the current (and #25999 's) link position (I'm aware of the fact this is really a matter of taste, which is a difficult thing

design-wise...).

Jan from Planio www.plan.io wrote:

It also introduces another link wihin the "No preview available" message to make it easier for users to download a file instead of previewing it.

 Nice one.

#7 - 2017-06-17 11:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Mischa The Evil wrote:

I'm not sure about this change. The current contextual area does not seem to be the best place for such a link (and an eventual 'raw' link as

proposed in #25357). I kinda like the current (and #25999 's) link position (I'm aware of the fact this is really a matter of taste, which is a difficult

thing design-wise...).

 Yes, I was not sure as well but it seems better than the download link below the tabs after all. Patches are committed, thanks.

#8 - 2017-07-05 03:53 - Mischa The Evil

- Related to Defect #26350: Don't display file download button while on repository directory entries added
0002-Add-download-link-to-no-preview-message.patch 5.72 KB 2017-05-24 Jan from Planio www.plan.io

0003-German-translation-for-download.patch 945 Bytes 2017-05-24 Jan from Planio www.plan.io
